我需要什么软件来编程我的cRIO?

更新 Apr 12, 2021

适用于

硬件

  • CompactRIO Chassis

软件

  • LabVIEW Real-Time Module
  • LabVIEW FPGA Module
  • LabVIEW

驱动

  • NI CompactRIO
  • NI-RIO

问题详述

  • 我已经安装了LabVIEW,但是在NI MAX中看不到我的cRIO。
  • 我必须使用什么cRIO软件/驱动程序?
  • 我正在尝试在实时目标上安装软件,但无法安装。

解决方案

为了对CompactRIO进行编程,您需要按以下顺序在计算机上安装以下软件:

  1. LabVIEW开发系统
  2. LabVIEW Real-Time 模块
  3. LabVIEW FPGA模块 (仅当您想直接对FPGA进行编程时才需要)
  4. NI-RIO驱动程序

相关信息

安装软件时,请注意以下注意事项: